Sales Representative Fast Order
Endpoints for Sales Representative Fast Order addon
Sales Representative Fast Order addon
Authorizations
sw-context-tokenstringRequired
Body
billigAddressIdstringOptional
shippingAddressIdstringOptional
paymentMethodIdstringOptional
shippingMethodIdstringOptional
employeeIdstringOptional
b2bOrderSalesRepresentativeIdstringOptional
Responses
200
Order
application/json
anyOptional
post/sales-representative/fast-order
POST /sales-representative/fast-order HTTP/1.1
sw-context-token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 625
{
"billigAddressId": "text",
"shippingAddressId": "text",
"paymentMethodId": "text",
"shippingMethodId": "text",
"employeeId": "text",
"b2bOrderSalesRepresentativeId": "text",
"billingAddress": {
"salutationId": "text",
"countryId": "text",
"firstName": "text",
"lastName": "text",
"zipcode": "text",
"city": "text",
"company": "text",
"street": "text",
"countryStateId": "text"
},
"deliveryAddress": {
"salutationId": "text",
"countryId": "text",
"firstName": "text",
"lastName": "text",
"zipcode": "text",
"city": "text",
"company": "text",
"street": "text",
"countryStateId": "text"
},
"lineItems": [
{
"id": "text",
"productId": "text",
"quantity": 1,
"comment": "text",
"unitPrice": 1
}
]
}200
Order
No content
Last updated
Was this helpful?